com.amazonaws.services.servermigration.model

## Class NoConnectorsAvailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.amazonaws.SdkBaseException
        - - com.amazonaws.AmazonClientException
          - - com.amazonaws.SdkClientException
            - - com.amazonaws.AmazonServiceException
              - - com.amazonaws.services.servermigration.model.AWSServerMigrationException
                - - com.amazonaws.services.servermigration.model.NoConnectorsAvailableException

All Implemented Interfaces:
  Serializable

    public class NoConnectorsAvailableException
    extends AWSServerMigrationException

No connectors are available to handle this request. Please associate connector(s) and verify any existing connectors are healthy and can respond to requests.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException

`AmazonServiceException.ErrorType`

### Constructor Summary

Constructors
Constructor and Description
`NoConnectorsAvailableException(String message)` Constructs a new NoConnectorsAvailableException with the specified error message.

### Method Summary

### Methods inherited from class com.amazonaws.AmazonServiceException

`getErrorCode, getErrorMessage, getErrorType, getHttpHeaders, getMessage, getRawResponse, getRawResponseContent, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorMessage, setErrorType, setHttpHeaders, setRawResponse, setRawResponseContent, setRequestId, setServiceName, setStatusCode`

### Methods inherited from class com.amazonaws.AmazonClientException

`isRetryable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoConnectorsAvailableException

    public NoConnectorsAvailableException(String message)

Constructs a new NoConnectorsAvailableException with the specified error message.

Parameters:
  `message` - Describes the error encountered.